=== debian/changelog ===
mapnik (3.0.24+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Drop patches applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 Jan 2021 14:55:39 +0100

mapnik (3.0.23+ds-3) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes.
  * Add upstream patch for Boost 1.73 compatibility.
    (closes: #975593)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 12 Dec 2020 13:05:32 +0100
