=== debian/changelog ===
mapnik (3.1.0+ds-7ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:03:03 +0000

mapnik (3.1.0+ds-7ubuntu1) noble; urgency=medium

  * Use scons from the Debian package (for Python 3.12 support)
  * Cherry-pick SConstruct upstream changes for Scons >= 4.1.0

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 19 Mar 2024 16:40:34 +0100

mapnik (3.1.0+ds-7) unstable; urgency=medium

  * Add dpkg-dev (>= 1.22.5) to build dependencies for t64 changes.
    (closes: #1065294)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Mar 2024 13:14:12 +0100

mapnik (3.1.0+ds-6) unstable; urgency=medium

  * Replace pkg-config (build) dependency with pkgconf.
  * Move from experimental to unstable.
    (closes: #1062834)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 28 Feb 2024 15:51:21 +0100

mapnik (3.1.0+ds-6~exp1) experimental; urgency=medium

  * Improve t64 changes to match team standards.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Feb 2024 14:02:37 +0100

mapnik (3.1.0+ds-5.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Graham Inggs <ginggs@debian.org>  Sat, 03 Feb 2024 18:57:53 +0000

mapnik (3.1.0+ds-5) unstable; urgency=medium

  * Fix dh_auto_clean override.
    (closes: #1046672)
  * Use execute_after instead of override in rules file.
  * Enable Salsa CI.
  * Add patch to fix Boost 1.81 compatibility.
  * Add patches to fix Boost 1.83 compatibility.
    (closes: #1056024)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 18 Dec 2023 11:10:31 +0100

mapnik (3.1.0+ds-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2, no changes.
  * Update obsolete freetype (build) dependency.
  * Bump debhelper compat to 13.
  * Add patch to fix FTBFS with gcc-13.
    (closes: #1037768)
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 13 Jul 2023 19:41:22 +0200

mapnik (3.1.0+ds-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Update lintian overrides.
  * Add Rules-Requires-Root to control file.

  [ Angelos Tzotsos ]
  * Added proj patch.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 12:26:27 +0100

mapnik (3.1.0+ds-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update watch file for GitHub URL changes.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
    - Drop -V from dh_makeshlibs
  * Update lintian overrides.

  [ Jeremy Bicha ]
  * Cherry-pick patch to stop using deprecated py3 collections import.
    (closes: #1009438)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Apr 2022 21:55:10 +0200

mapnik (3.1.0+ds-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 11 Jan 2021 05:33:41 +0100

mapnik (3.1.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Rename library package for new minor version.
  * Drop explicit architecture list, see: #893188.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Jan 2021 14:57:36 +0100
