=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: mapnik
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
            Francesco Paolo Lovergine <frankie@debian.org>,
            Jérémy Lal <kapouer@melix.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 13),
+               dpkg-dev (>= 1.22.5),
                libboost-filesystem-dev,
                libboost-program-options-dev,
                libboost-regex-dev,
@@ -14,7 +16,7 @@
                libboost-thread-dev,
                libcairo-dev,
                libcurl4-gnutls-dev | libcurl-ssl-dev,
-               libfreetype6-dev,
+               libfreetype-dev,
                libgdal-dev,
                libharfbuzz-dev,
                libicu-dev,
@@ -28,20 +30,25 @@
                libtool,
                libwebp-dev,
                libxml2-dev,
-               pkg-config,
+               pkgconf,
                python3,
+               scons,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapnik
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapnik.git
 Homepage: http://www.mapnik.org/
+Rules-Requires-Root: no
 
-Package: libmapnik3.0
-Architecture: any-amd64 i386 arm64 armel armhf powerpc ppc64el s390x alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
+Package: libmapnik3.1t64
+Architecture: any
 Depends: fonts-dejavu,
          ${shlibs:Depends},
          ${misc:Depends}
 Suggests: postgis
+Provides: ${t64:Provides}
+Breaks: libmapnik3.1 (<< ${source:Version})
+Replaces: libmapnik3.1
 Description: C++ toolkit for developing GIS applications (libraries)
  Mapnik is an OpenSource C++ toolkit for developing GIS
  (Geographic Information Systems) applications. At the core is a C++
@@ -55,9 +62,9 @@
  This package contains the shared library and input plugins.
 
 Package: libmapnik-dev
-Architecture: any-amd64 i386 arm64 armel armhf powerpc ppc64el s390x alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
+Architecture: any
 Section: libdevel
-Depends: libmapnik3.0 (= ${binary:Version}),
+Depends: libmapnik3.1t64 (= ${binary:Version}),
          libboost-filesystem-dev,
          libboost-program-options-dev,
          libboost-regex-dev,
@@ -66,7 +73,7 @@
          libc6-dev | libc-dev,
          libcairo2-dev,
          libcurl4-gnutls-dev | libcurl-ssl-dev,
-         libfreetype6-dev,
+         libfreetype-dev,
          libgdal-dev,
          libharfbuzz-dev,
          libicu-dev,
@@ -79,7 +86,7 @@
          libtiff-dev,
          libwebp-dev,
          libxml2-dev,
-         pkg-config,
+         pkgconf,
          zlib1g-dev,
          ${misc:Depends}
 Recommends: mapnik-doc
@@ -99,7 +106,7 @@
  build utilities.
 
 Package: mapnik-utils
-Architecture: any-amd64 i386 arm64 armel armhf powerpc ppc64el s390x alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
+Architecture: any
 Section: utils
 Depends: ${shlibs:Depends},
          ${misc:Depends}
