## mapnik 4.0.0+ds

=== debian/changelog ===
mapnik (4.0.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 17 Jun 2024 05:49:31 +0200

mapnik (4.0.0~rc4+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 14 Jun 2024 19:31:04 +0200

mapnik (4.0.0~rc3+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 14 Jun 2024 06:15:45 +0200

mapnik (4.0.0~rc2+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop dpkg-dev build dependency.
  * Drop include.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 10 Jun 2024 20:24:18 +0200

mapnik (4.0.0~rc1+ds-1~exp3) experimental; urgency=medium

  * Use /usr/share/fonts for pkg-config fonts_dir variable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Apr 2024 15:49:40 +0200

mapnik (4.0.0~rc1+ds-1~exp2) experimental; urgency=medium

  * Don't include pre-releases in version specific plugin path.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Apr 2024 14:52:59 +0200

mapnik (4.0.0~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Add patch to fix FTBFS with Python 3.12.
    (closes: #1067163)
  * Exclude scons subdirectory from repacked upstream tarball.
  * Update copyright file.
  * Drop patches, fixed/included upstream.
  * Use cmake buildsystem instead of scons.
  * Rename library package for SONAME bump.
  * Add patch to install headers under /usr/include/mapnik.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Apr 2024 12:39:31 +0200

mapnik (3.1.0+ds-8) unstable; urgency=medium

  * Add patch to fix FTBFS with Python 3.12.
    (closes: #1067163)
  * Add patch to fix FTBFS with libxml2 2.12.
    (closes: #1073332)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 16 Jun 2024 16:39:50 +0200
