=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: mapnik
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
            Francesco Paolo Lovergine <frankie@debian.org>,
            Jérémy Lal <kapouer@melix.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.22.5),
+Build-Depends: cmake,
+               debhelper-compat (= 13),
                libboost-filesystem-dev,
                libboost-program-options-dev,
                libboost-regex-dev,
@@ -21,18 +20,19 @@
                libharfbuzz-dev,
                libicu-dev,
                libjpeg-dev,
+               libmapbox-geometry-dev,
+               libmapbox-polylabel-dev,
                libmapbox-variant-dev (>= 1.1.5),
                libpng-dev,
                libpq-dev,
                libproj-dev,
+               libprotozero-dev,
                libsqlite3-dev,
                libtiff-dev,
                libtool,
                libwebp-dev,
                libxml2-dev,
                pkgconf,
-               python3,
-               scons,
                zlib1g-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapnik
@@ -40,15 +40,12 @@
 Homepage: http://www.mapnik.org/
 Rules-Requires-Root: no
 
-Package: libmapnik3.1t64
+Package: libmapnik4.0.0
 Architecture: any
 Depends: fonts-dejavu,
          ${shlibs:Depends},
          ${misc:Depends}
 Suggests: postgis
-Provides: ${t64:Provides}
-Breaks: libmapnik3.1 (<< ${source:Version})
-Replaces: libmapnik3.1
 Description: C++ toolkit for developing GIS applications (libraries)
  Mapnik is an OpenSource C++ toolkit for developing GIS
  (Geographic Information Systems) applications. At the core is a C++
@@ -64,7 +61,7 @@
 Package: libmapnik-dev
 Architecture: any
 Section: libdevel
-Depends: libmapnik3.1t64 (= ${binary:Version}),
+Depends: libmapnik4.0.0 (= ${binary:Version}),
          libboost-filesystem-dev,
          libboost-program-options-dev,
          libboost-regex-dev,
@@ -78,10 +75,13 @@
          libharfbuzz-dev,
          libicu-dev,
          libjpeg-dev,
+         libmapbox-geometry-dev,
+         libmapbox-polylabel-dev,
          libmapbox-variant-dev (>= 1.1.5),
          libpng-dev,
          libpq-dev,
          libproj-dev,
+         libprotozero-dev,
          libsqlite3-dev,
          libtiff-dev,
          libwebp-dev,
@@ -90,8 +90,6 @@
          zlib1g-dev,
          ${misc:Depends}
 Recommends: mapnik-doc
-Breaks: libmapnik2-dev (<< 2.2.0+ds1-1~)
-Replaces: libmapnik2-dev (<< 2.2.0+ds1-1~)
 Description: C++ toolkit for developing GIS applications (devel)
  Mapnik is an OpenSource C++ toolkit for developing GIS
  (Geographic Information Systems) applications. At the core is a C++
